# boost::numeric::ublas::scalar_binary_functor< T1, T2 > Struct Template Reference

Inherited by boost::numeric::ublas::scalar_divides< T1, T2 >, boost::numeric::ublas::scalar_minus< T1, T2 >, boost::numeric::ublas::scalar_multiplies< T1, T2 >, and boost::numeric::ublas::scalar_plus< T1, T2 >.

List of all members.

## Public Types

typedef type_traits< T1 > ::const_reference | argument1_type
typedef type_traits< T2 > ::const_reference | argument2_type
typedef promote_traits< T1, T2 > ::promote_type | result_type

### template<class T1, class T2>
struct boost::numeric::ublas::scalar_binary_functor< T1, T2 >